RDCode: RDKit::FragCatalogEntry Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# RDKit::FragCatalogEntry Class Reference

`#include <FragCatalogEntry.h>`

Inheritance diagram for RDKit::FragCatalogEntry:

List of all members.

## Public Member Functions
| FragCatalogEntry ()
| FragCatalogEntry (const ROMol *omol, const PATH_TYPE &path, const MatchVectType &aidToFid)
| FragCatalogEntry (const std::string &pickle)
| ~FragCatalogEntry ()
std::string | getDescription () const
| returns a text description of this entry
void | setDescription (std::string val)
void | setDescription (const FragCatParams *params)
bool | match (const FragCatalogEntry *other, double tol) const
DiscrimTuple | getDiscrims () const
unsigned int | getOrder () const
const INT_INT_VECT_MAP & | getFuncGroupMap () const
std::string | getSmarts ()
template<typename T>
void | setProp (const char *key, T &val) const
template<typename T>
void | setProp (const std::string key, T &val) const
void | setProp (const char *key, int val) const
void | setProp (const std::string key, int val) const
void | setProp (const char *key, float val) const
void | setProp (const std::string key, float val) const
void | setProp (const std::string key, std::string val) const
template<typename T>
void | getProp (const char *key, T &res) const
template<typename T>
void | getProp (const std::string key, T &res) const
bool | hasProp (const char *key) const
bool | hasProp (const std::string key) const
void | clearProp (const char *key) const
void | clearProp (const std::string key) const
void | toStream (std::ostream &ss) const
| serializes (pickles) to a stream
std::string | Serialize () const
| returns a string with a serialized (pickled) representation
void | initFromStream (std::istream &ss)
| initializes from a stream pickle
void | initFromString (const std::string &text)
| initializes from a string pickle

## Detailed Description

Definition at line 22 of file FragCatalogEntry.h.

## Constructor & Destructor Documentation

RDKit::FragCatalogEntry::FragCatalogEntry | ( |  | ) | `[inline]`

Definition at line 25 of file FragCatalogEntry.h.

References RDCatalog::CatalogEntry::setBitId().

RDKit::FragCatalogEntry::FragCatalogEntry | ( | const ROMol * | omol,
|  | const PATH_TYPE & | path,
|  | const MatchVectType & | aidToFid |
| ) |  |  |

RDKit::FragCatalogEntry::FragCatalogEntry | ( | const std::string & | pickle | ) |

RDKit::FragCatalogEntry::~FragCatalogEntry | ( |  | ) | `[inline]`

Definition at line 33 of file FragCatalogEntry.h.

## Member Function Documentation

std::string RDKit::FragCatalogEntry::getDescription | ( |  | ) | const`[inline, virtual]`

returns a text description of this entry

Implements RDCatalog::CatalogEntry.

Definition at line 44 of file FragCatalogEntry.h.

void RDKit::FragCatalogEntry::setDescription | ( | std::string | val | ) | `[inline]`

Definition at line 46 of file FragCatalogEntry.h.

void RDKit::FragCatalogEntry::setDescription | ( | const FragCatParams * | params | ) |

bool RDKit::FragCatalogEntry::match | ( | const FragCatalogEntry * | other,
|  | double | tol |
| ) |  |  | const

DiscrimTuple RDKit::FragCatalogEntry::getDiscrims | ( |  | ) | const

unsigned int RDKit::FragCatalogEntry::getOrder | ( |  | ) | const`[inline]`

Definition at line 57 of file FragCatalogEntry.h.

References RDKit::ROMol::getNumBonds().

const INT_INT_VECT_MAP& RDKit::FragCatalogEntry::getFuncGroupMap | ( |  | ) | const`[inline]`

Definition at line 61 of file FragCatalogEntry.h.

std::string RDKit::FragCatalogEntry::getSmarts | ( |  | ) | `[inline]`

Definition at line 66 of file FragCatalogEntry.h.

template<typename T>

void RDKit::FragCatalogEntry::setProp | ( | const char * | key,
|  | T & | val |
| ) |  |  | const`[inline]`

Definition at line 69 of file FragCatalogEntry.h.

References RDKit::Dict::setVal().

Referenced by setProp().

template<typename T>

void RDKit::FragCatalogEntry::setProp | ( | const std::string | key,
|  | T & | val |
| ) |  |  | const`[inline]`

Definition at line 73 of file FragCatalogEntry.h.

References setProp().

void RDKit::FragCatalogEntry::setProp | ( | const char * | key,
|  | int | val |
| ) |  |  | const`[inline]`

Definition at line 77 of file FragCatalogEntry.h.

References RDKit::Dict::setVal().

void RDKit::FragCatalogEntry::setProp | ( | const std::string | key,
|  | int | val |
| ) |  |  | const`[inline]`

Definition at line 81 of file FragCatalogEntry.h.

References setProp().

void RDKit::FragCatalogEntry::setProp | ( | const char * | key,
|  | float | val |
| ) |  |  | const`[inline]`

Definition at line 85 of file FragCatalogEntry.h.

References RDKit::Dict::setVal().

void RDKit::FragCatalogEntry::setProp | ( | const std::string | key,
|  | float | val |
| ) |  |  | const`[inline]`

Definition at line 89 of file FragCatalogEntry.h.

References setProp().

void RDKit::FragCatalogEntry::setProp | ( | const std::string | key,
|  | std::string | val |
| ) |  |  | const`[inline]`

Definition at line 93 of file FragCatalogEntry.h.

References setProp().

template<typename T>

void RDKit::FragCatalogEntry::getProp | ( | const char * | key,
|  | T & | res |
| ) |  |  | const`[inline]`

Definition at line 98 of file FragCatalogEntry.h.

References RDKit::Dict::getVal().

Referenced by getProp().

template<typename T>

void RDKit::FragCatalogEntry::getProp | ( | const std::string | key,
|  | T & | res |
| ) |  |  | const`[inline]`

Definition at line 102 of file FragCatalogEntry.h.

References getProp().

bool RDKit::FragCatalogEntry::hasProp | ( | const char * | key | ) | const`[inline]`

Definition at line 106 of file FragCatalogEntry.h.

References RDKit::Dict::hasVal().

Referenced by hasProp().

bool RDKit::FragCatalogEntry::hasProp | ( | const std::string | key | ) | const`[inline]`

Definition at line 110 of file FragCatalogEntry.h.

References hasProp().

void RDKit::FragCatalogEntry::clearProp | ( | const char * | key | ) | const`[inline]`

Definition at line 114 of file FragCatalogEntry.h.

References RDKit::Dict::clearVal().

Referenced by clearProp().

void RDKit::FragCatalogEntry::clearProp | ( | const std::string | key | ) | const`[inline]`

Definition at line 118 of file FragCatalogEntry.h.

References clearProp().

void RDKit::FragCatalogEntry::toStream | ( | std::ostream & | ss | ) | const`[virtual]`

serializes (pickles) to a stream

Implements RDCatalog::CatalogEntry.

std::string RDKit::FragCatalogEntry::Serialize | ( |  | ) | const`[virtual]`

returns a string with a serialized (pickled) representation

Implements RDCatalog::CatalogEntry.

void RDKit::FragCatalogEntry::initFromStream | ( | std::istream & | ss | ) | `[virtual]`

initializes from a stream pickle

Implements RDCatalog::CatalogEntry.

void RDKit::FragCatalogEntry::initFromString | ( | const std::string & | text | ) | `[virtual]`

initializes from a string pickle

Implements RDCatalog::CatalogEntry.

The documentation for this class was generated from the following file:

- FragCatalogEntry.h